Restore project
Restore a soft-deleted project
POST
/
admin
/
api
/
v1
/
projects
/
projects
/
{id}
/
restore
Restore project
curl --request POST \
--url https://erp.arukz.com/admin/api/v1/projects/projects/{id}/restore \
--header 'Authorization: Bearer <token>'import requests
url = "https://erp.arukz.com/admin/api/v1/projects/projects/{id}/restore"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://erp.arukz.com/admin/api/v1/projects/projects/{id}/restore', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://erp.arukz.com/admin/api/v1/projects/projects/{id}/restore",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": 1,
"name": "Client Task for Magement Work",
"tasks_label": null,
"description": "<p>Client Task for Magement Work</p>",
"visibility": "internal",
"color": null,
"sort": 1,
"start_date": "2025-04-11T00:00:00.000000Z",
"end_date": "2025-04-30T00:00:00.000000Z",
"allocated_hours": 500,
"allow_timesheets": true,
"allow_milestones": true,
"allow_task_dependencies": false,
"is_active": true,
"stage_id": 1,
"partner_id": 21,
"company_id": 3,
"user_id": 1,
"creator_id": 1,
"created_at": "2025-04-11T11:01:38.000000Z",
"updated_at": "2025-04-11T11:01:38.000000Z",
"deleted_at": null
},
"message": "Project restored successfully."
}{
"message": "Unauthenticated."
}{
"message": "Resource not found."
}Authorizations
An API token from Sign in, sent as Authorization: Bearer <token>. Tokens last 30 days.
Response
Success
⌘I
Restore project
curl --request POST \
--url https://erp.arukz.com/admin/api/v1/projects/projects/{id}/restore \
--header 'Authorization: Bearer <token>'import requests
url = "https://erp.arukz.com/admin/api/v1/projects/projects/{id}/restore"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://erp.arukz.com/admin/api/v1/projects/projects/{id}/restore', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://erp.arukz.com/admin/api/v1/projects/projects/{id}/restore",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": 1,
"name": "Client Task for Magement Work",
"tasks_label": null,
"description": "<p>Client Task for Magement Work</p>",
"visibility": "internal",
"color": null,
"sort": 1,
"start_date": "2025-04-11T00:00:00.000000Z",
"end_date": "2025-04-30T00:00:00.000000Z",
"allocated_hours": 500,
"allow_timesheets": true,
"allow_milestones": true,
"allow_task_dependencies": false,
"is_active": true,
"stage_id": 1,
"partner_id": 21,
"company_id": 3,
"user_id": 1,
"creator_id": 1,
"created_at": "2025-04-11T11:01:38.000000Z",
"updated_at": "2025-04-11T11:01:38.000000Z",
"deleted_at": null
},
"message": "Project restored successfully."
}{
"message": "Unauthenticated."
}{
"message": "Resource not found."
}